# frozen_string_literal: true

require 'socket'
require 'timeout'

require 'portchecker/version'

#
# Docs to follow
#
module Portchecker
    #
    # Docs to follow
    #
    class Check
        def self.port_open?(address, port)
            begin
                Timeout.timeout(1) do
                    begin
                        TCPSocket.new(address, port).close
                        return true
                    rescue Errno::ECONNREFUSED, Errno::EHOSTUNREACH, Errno::EADDRNOTAVAIL, SocketError
                        # sleep(sleep_period)
                        # retry
                        return false
                    end
                end
            rescue Timeout::Error
                return false
            end
            false
        end
    end
end
